package cz.vsb.jat2018.cv3v2;

import java.time.LocalDate;
import java.util.Random;

public class Car {

	private final static String[] MARKS = new String[] { "Porsche", "Ferrari", "Dacia", "BMW" };
	private String mark;
	private CarColor color;
	private int doorCount;
	private LocalDate firstDate;

	public static Random r = new Random();

	public static Car createRandomCar() {
		String m = MARKS[r.nextInt(MARKS.length)];
		return new Car(m, CarColor.values()
				[r.nextInt(CarColor.values().length)], 3 + r.nextInt(3),
				LocalDate.now().minusDays(
						r.nextInt(5000)));
	}

	public Car() {
		super();
	}

	public Car(String mark, CarColor color, int doorCount, LocalDate firstDate) {
		super();
		this.mark = mark;
		this.color = color;
		this.doorCount = doorCount;
		this.firstDate = firstDate;
	}

	public String getMark() {
		return mark;
	}

	public void setMark(String mark) {
		this.mark = mark;
	}

	public CarColor getColor() {
		return color;
	}

	public void setColor(CarColor color) {
		this.color = color;
	}

	public int getDoorCount() {
		return doorCount;
	}

	public void setDoorCount(int doorCount) {
		this.doorCount = doorCount;
	}

	public LocalDate getFirstDate() {
		return firstDate;
	}

	public void setFirstDate(LocalDate firstDate) {
		this.firstDate = firstDate;
	}

	@Override
	public String toString() {
		return "Car [mark=" + mark + ", color=" + color + ", doorCount=" + doorCount + ", firstDate=" + firstDate + "]";
	}

}
