package cz.vsb.jat2018.cv3v2;

import java.awt.Component;
import java.time.LocalDate;
import java.time.format.DateTimeFormatter;

import javax.swing.AbstractCellEditor;
import javax.swing.JTable;
import javax.swing.JTextField;
import javax.swing.table.TableCellEditor;

public class DateCellEditor extends AbstractCellEditor implements TableCellEditor{

	private JTextField editor = new JTextField();
	private DateTimeFormatter formatter  = DateTimeFormatter.ofPattern("d.M.yyyy");
			
			
	@Override
	public Object getCellEditorValue() {
		return formatter.parse(editor.getText(), LocalDate::from);
	}

	@Override
	public Component getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column) {
		editor.setText(formatter.format((LocalDate)value));
		return editor;
	}

}
