package cz.vsb.jat2018.cv3v2;

import java.awt.Component;

import javax.swing.AbstractCellEditor;
import javax.swing.DefaultComboBoxModel;
import javax.swing.JComboBox;
import javax.swing.JTable;
import javax.swing.table.TableCellEditor;

public class CarColorEditor extends AbstractCellEditor implements TableCellEditor{

	private JComboBox<CarColor> combo = new JComboBox<>(); 
	
	public CarColorEditor() {
		combo.setModel(new DefaultComboBoxModel<>(CarColor.values()));
	}
	@Override
	public Object getCellEditorValue() {
		return combo.getSelectedItem();
	}

	@Override
	public Component getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column) {
		combo.setSelectedItem(value);
		return combo;
	}

}
